Bug 110171 - Page number not displayed when re-opening PDF files
Summary: Page number not displayed when re-opening PDF files
Status: RESOLVED FIXED
Alias: None
Product: kpdf
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Slackware Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Albert Astals Cid
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-04 13:49 UTC by venson
Modified: 2005-08-26 15:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description venson 2005-08-04 13:49:58 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    Slackware Packages
OS:                Linux

Re-opening a PDF file fails to restore the page number. 

To reproduce this bug, do the following
a) Open any PDF file.
b) Scroll a few pages down. (Skipping this step won't reproduce the bug). 
c) Notice the page number is being shown.
d) Close the file.
e) Open the same file again. 
f) Notice that the page number is not shown this time.

Hope this helps.
Comment 1 monstermunch 2005-08-12 02:53:19 UTC
I found a similar problem.

Example:
Open a pdf file in kpdf
Scroll to the very top of the file
Turn on "Watch file"
Goto the command-line and do "touch filename.pdf"
The page number (e.g. "1 / 4") should be updated correctly

Do the above again, but scroll the page down slightly.
When you touch the file again, the page number should blank out (e.g. "  / 4")
Scrolling to a new page will update it
Comment 2 Albert Astals Cid 2005-08-26 15:10:07 UTC
SVN commit 453550 by aacid:

Fix bug 110171
BUGS: 110171


 M  +0 -1      minibar.cpp  


--- branches/KDE/3.5/kdegraphics/kpdf/ui/minibar.cpp #453549:453550
@@ -163,7 +163,6 @@
     m_nextButton->setFixedHeight( fixedHeight );
 
     // update child widgets
-    m_pagesEdit->setText( "" );
     m_pagesEdit->setPagesNumber( pages );
     m_pagesButton->setText( QString::number( pages ) );
     m_prevButton->setEnabled( false );